<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>GTSBox: /Users/dlekshmi/Desktop/Repos/PhD/GTSBox/Src/NLME/GTSoptions/getGTSoptions.m File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">GTSBox
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_413f4e031a85da0d68269c6fd2f76e1c.html">Src</a></li><li class="navelem"><a class="el" href="../../dir_8672bca13fc16af0e54d5ddc01090308.html">NLME</a></li><li class="navelem"><a class="el" href="../../dir_b4b7268f68ca4bbafe4f0ebd0cad26b6.html">GTSoptions</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">getGTSoptions.m File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a href="../../d3/d9c/get_g_t_soptions_8m_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ae647b62533f002ee981fb9dc2fc63d7a"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d9c/get_g_t_soptions_8m.html#ae647b62533f002ee981fb9dc2fc63d7a">getGTSoptions</a> ()</td></tr>
<tr class="memdesc:ae647b62533f002ee981fb9dc2fc63d7a"><td class="mdescLeft">&#160;</td><td class="mdescRight">getGTSoptions initialses the options structure to be run in the GTS  <a href="../../d3/d9c/get_g_t_soptions_8m.html#ae647b62533f002ee981fb9dc2fc63d7a">More...</a><br /></td></tr>
<tr class="separator:ae647b62533f002ee981fb9dc2fc63d7a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="ae647b62533f002ee981fb9dc2fc63d7a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae647b62533f002ee981fb9dc2fc63d7a">&#9670;&nbsp;</a></span>getGTSoptions()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function getGTSoptions </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>getGTSoptions initialses the options structure to be run in the GTS </p>
<p>This function is called with no options, and intialises a struture. The structure can take the following fields indicated as parameters in this document. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">testflag</td><td>Flag indicating if it is test case, default is no=0 </td></tr>
    <tr><td class="paramname">compileflag</td><td>Flag that indicates if the model should be compiled, default is yes=1 </td></tr>
    <tr><td class="paramname">FSopt.runtype</td><td>Type of the first stage optimization that should be run. default is 1=without setting initial conditions to that in the mother, 0= donot run, 2= with lineage info (to evaluate) </td></tr>
    <tr><td class="paramname">FSopt.runSecondStage</td><td>Option to pass if the second stage also needs to be run 0=no, 1=yes </td></tr>
    <tr><td class="paramname">FSopt.bounded</td><td>Type of optimization to be used in the first stage 1=bounded; 0=unbounded. Default is 1. If no bounds are specified </td></tr>
    <tr><td class="paramname">FSopt.parWorkers</td><td>Number of cores to be used in first stage, default is 10 </td></tr>
    <tr><td class="paramname">FSopt.parProfile</td><td>Cluster profile that should be used, default is 'local' </td></tr>
    <tr><td class="paramname">FSopt.showstatus</td><td>Show the status of the optimization in first stage, true or false </td></tr>
    <tr><td class="paramname">FSopt.optimTols</td><td>Tolerances in the optimizer, default is 1e-6 for both function/ parameter relative tolerances </td></tr>
    <tr><td class="paramname">FSopt.gloalgName</td><td>Global Optimization to be used in first stage, the name of the algorithm an option to the optimizer used like NLOPT. Default is NLOPT_G_MLSL_LDS </td></tr>
    <tr><td class="paramname">FSopt.algName</td><td>Local optimization to be used in first stage, the name of the algorithm an option to the optimizer used like NLOPT, Default is NLOPT_LN_SBPLX </td></tr>
    <tr><td class="paramname">FSopt.gloalg</td><td>Numer of multi-starts/ population of parameters in the multi-start algorithm i.e. gloalg, default is 1000 </td></tr>
    <tr><td class="paramname">FSopt.gloalgMaxeval</td><td>Maximum number of function evaluations to use in the global optimization, default is 1e5. It is recommended you specify this, else there may be sitiations where you may have to wait for A LONG TIME to get any result. Usually, this number is enough based on experience </td></tr>
    <tr><td class="paramname">FSopt.poolFlg</td><td>A flag that indicates if GLS (or only OLS) should be done 1=yes; 0=no. Default is 1. If 0 is specified, then the first estimates using OLS or WOLS are used, and the model residuals for each cell is returned. For the first estimation, by default when only one readout is present, OLS is used. Else, WOLS is used, with a first estimate of the weights from <code><a class="el" href="../../d0/db3/get_weights_8m.html">getWeights.m</a></code>, a default function that uses splines and approximates the mean function. The inverse of the spline based %&gt; approximation are used as weights. When WOLS is used, we recommend to pool all residuals and iterate through the GLS. An unpooled version of GLS is currently NOT implemented. The user can use their own way to intialise the weights if the <code>getWeight</code> function is specified in the project folder in <code>UserFns</code>. </td></tr>
    <tr><td class="paramname">FSopt.GLS.max_iters</td><td>maximum iterations to be done in GLS,default is 10 </td></tr>
    <tr><td class="paramname">FSopt.GLS.min_itersminimum</td><td>iterations to be done in GLS, default is 2 </td></tr>
    <tr><td class="paramname">FSopt.GLS.max_score</td><td>relative difference criteria in GLS, default 0.01 </td></tr>
    <tr><td class="paramname">FSopt.GLS.errorEstimation,error</td><td>model estimation 'AR': absol. residuals, 'PL': PL, 'unpooled': unpooled, only for additive noises, default is 'AR' </td></tr>
    <tr><td class="paramname">SSopt.Optimization</td><td>Type of secoond stage optimization, default is 'Optimizer'; </td></tr>
    <tr><td class="paramname">SSopt.CovariateFn</td><td>The function that returns the design matrix for the covariates for fixed effects (i.e. Ai matrix in Davidian's notation). This should be found in function found in the model folder else, one of the generic functions @getAi_default is used </td></tr>
    <tr><td class="paramname">SSopt.inpfiles</td><td>Results from first stage that should be used in the second stage, cell array of strings. The strings should be the in the form of data names of the First Stage, and not the full name of the '.mat file' </td></tr>
    <tr><td class="paramname">SSopt.covariate_flag</td><td>A vector of numbers indicating if the cells belong to a certain subpopulation </td></tr>
    <tr><td class="paramname">SSopt.DiagD</td><td>The kind of stucuture in the covariance matrix D. 'diagonal', 'full' or 'structured' (to do). The default is 'full'. </td></tr>
    <tr><td class="paramname">SSopt.jointExps</td><td>If all cells in the experimentes in inpfiles options should be treated as one population of cells, yes=1 and no=0. The default is 1; </td></tr>
    <tr><td class="paramname">SSopt.initialbeta0</td><td>Initial values of the mean parameter, default is [] </td></tr>
    <tr><td class="paramname">SSopt.initialD0</td><td>Initial values of the covariance matrix, default is [] </td></tr>
    <tr><td class="paramname">SSopt.fname_append</td><td>A string that you want start the name of the result file with, default is [] </td></tr>
    <tr><td class="paramname">SSopt.optim,Optimizer</td><td>specific options </td></tr>
    <tr><td class="paramname">SSopt.optim.fnHandle</td><td>Function handle to be used for optimization, default is [] in which case a generic function is used. </td></tr>
    <tr><td class="paramname">SSopt.evalUncertainty</td><td>A boolean variable to set if uncertainity of the second stage estimates need to be evaluated or not </td></tr>
    <tr><td class="paramname">SSopt.EM,EM</td><td>specific options </td></tr>
    <tr><td class="paramname">SSopt.EM.conv_tol,Maximum</td><td>absolute tolerance reached between parameter values of successive iterations, 5e-4 </td></tr>
    <tr><td class="paramname">SSopt.EM.conv_maxiter,number</td><td>of iterations in EM, default 10000 </td></tr>
    <tr><td class="paramname">SSopt.optim.fnHandle</td><td>Function handle to be used for optimization, default is [] in which case a generic function is used. </td></tr>
    <tr><td class="paramname">SSopt.optim.fnParamMapper</td><td>Function handle to be used for converting vector of parameters to appropriate mean and covariance matrices, default is [] in which case a generic function is used. </td></tr>
    <tr><td class="paramname">SSopt.optim.ftol_rel</td><td>relative tolerance (for function evaluated) for NLOPT, default 1e-6 </td></tr>
    <tr><td class="paramname">SSopt.optim.xtol_rel</td><td>relative tolerance (for parameter values) for NLOPT, 1e-6; </td></tr>
    <tr><td class="paramname">SSopt.optim.algorithm</td><td>algorithm in NLOPT, default is NLOPT_LN_SBPLX; </td></tr>
    <tr><td class="paramname">SSopt.optim.lower_bounds</td><td>Lower bounds used, default is [] </td></tr>
    <tr><td class="paramname">SSopt.optim.upper_bounds</td><td>Upper bounds used, default is [] </td></tr>
    <tr><td class="paramname">SSopt.objOpts</td><td>Options in second stage that should be passed to the first stage </td></tr>
    <tr><td class="paramname">SSopt.objOpts.tologVar</td><td>Should the variance parameters be positive, true retval GTSoptions A structure which contains all the parameters as the field </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Thu Dec 3 2020 14:53:30 for GTSBox by&#160;<a href="http://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20
</small></address>
</body>
</html>
